#!/bin/sh
# Installer for pwkdrivers.

set -x 
srcdir="."
dstdir="/usr/share/pwk"
bindir="/usr/bin"
rcdir="/etc"

if ! [ -d $dstdir ]
then
    mkdir $dstdir
fi

cp ${srcdir}/irdatagen ${srcdir}/keycodegen.sh   $dstdir
cp ${srcdir}/mode2     ${srcdir}/README*         $dstdir
cp ${srcdir}/pwkxwin_debug ${srcdir}/*.xpm       $dstdir
chmod +x ${dstdir}/irdatagen ${dstdir}/keycodegen.sh ${dstdir}/mode2 ${dstdir}/pwkxwin_debug
chmod +r ${dstdir}/*.xpm
 
cp ${srcdir}/pwkxwin ${srcdir}/pwkcns ${srcdir}/unloadpwk.sh ${bindir}
chmod +x ${bindir}/pwkxwin ${bindir}/pwkcns ${bindir}/unloadpwk.sh

cp ${srcdir}/pwkrc $rcdir
chmod +rw ${rcdir}/pwkrc



  


