#!/bin/sh
# Install pwkdrivers for yp3700 PDA system 

set -x 
srcdir="."
dstdir="/usr/share/pwk"
bindir="/usr/bin"
rcdir="/etc"


if ! [ -d $dstdir ]
then
    mkdir $dstdir
fi

cp ${srcdir}/irdatagen ${srcdir}/keycodegen.sh   $dstdir
cp ${srcdir}/mode2     ${srcdir}/README*         $dstdir
cp ${srcdir}/pwkxwin_debug $dstdir
chmod +x ${dstdir}/irdatagen ${dstdir}/keycodegen.sh ${dstdir}/mode2 ${dstdir}/pwkxwin_debug
 
cp ${srcdir}/pwkxwin ${srcdir}/unloadpwk.sh ${bindir}
chmod +x ${bindir}/pwkxwin ${bindir}/unloadpwk.sh

cp ${srcdir}/pwkrc $rcdir
chmod +rw ${rcdir}/pwkrc

cp ${srcdir}/pwkdriver.desktop /usr/share/gnome/apps/Utilities/
cp ${srcdir}/unloadpwk.desktop /usr/share/gnome/apps/Utilities/
chmod +r /usr/share/gnome/apps/Utilities/pwkdriver.desktop
chmod +r /usr/share/gnome/apps/Utilities/unloadpwk.desktop

cp ${srcdir}/pwk16x16.xpm /usr/share/pixmaps/menu/
chmod +r /usr/share/pixmaps/menu/pwk16x16.xpm

if ! [ -c /dev/lirc ]
then
    mknod /dev/lirc c 61 0
fi

xmodmap -e "keycode 111 = Up question"
 


  


