#
# spec file for pwkdriver_0.0.5.tar.gz fo debian woody system.
#
Summary: Palm Wireless keyboard driver for Debian woody.
Name: pwkdriver
Version: 0.1.1
Release: 1
Copyright: GPL
Group: Applications
Source: pwkdriver_0.1.1.tar.gz
URL: http://irkbd.kldp.net
Distribution: Debian woody
Vendor: lampo1
Packager: lampo1 <lampo1@paran.com>

%description
Palm Wireless Keyboard(PWK) driver for linux(Debian woody).
pwkxwin driver works for Xwindow. It is safe.
pwkcns driver works for console(and Xwindow). It is dangerous!
Additional files for catching infrared signal for keys.

%prep
%setup

%build
make woody

%install


set -x 
pwd
srcdir="./arch/linux/debian/woody/result"
dstdir="/usr/share/pwk"
bindir="/usr/bin"
rcdir="/etc"

if ! [ -d $dstdir ]
then
    mkdir $dstdir
fi

cp ${srcdir}/irdatagen ${srcdir}/keycodegen.sh   $dstdir
cp ${srcdir}/mode2     ${srcdir}/README*         $dstdir
cp ${srcdir}/*.xpm $dstdir ${srcdir}/pwkxwin_debug $dstdir
chmod +x ${dstdir}/irdatagen ${dstdir}/keycodegen.sh ${dstdir}/mode2 ${dstdir}/pwkxwin_debug
chmod +r ${dstdir}/*.xpm
 
cp ${srcdir}/pwkxwin ${srcdir}/pwkcns ${srcdir}/unloadpwk.sh ${bindir}
chmod +x ${bindir}/pwkxwin ${bindir}/pwkcns ${bindir}/unloadpwk.sh

cp ${srcdir}/pwkrc $rcdir
chmod +rw ${rcdir}/pwkrc

%files
/usr/share/pwk/pwkxwin_debug
/usr/share/pwk/irdatagen
/usr/share/pwk/mode2
/usr/share/pwk/keycodegen.sh
/usr/share/pwk/README
/usr/share/pwk/README.data
/usr/share/pwk/README.woody
/usr/bin/pwkxwin
/usr/bin/pwkcns
/usr/bin/unloadpwk.sh
/etc/pwkrc

          



